r.report(1)	       Grass User's Manual	      r.report(1)



NNAAMMEE
       rr..rreeppoorrtt  - Reports statistics for raster map layers.

       _(_G_R_A_S_S _R_a_s_t_e_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..rreeppoorrtt
       rr..rreeppoorrtt hheellpp
       rr..rreeppoorrtt 	[--hhmmffqqeezznnNNCCii]	      mmaapp==_n_a_m_e[,_n_a_m_e,...]
       [uunniittss==_n_a_m_e[,_n_a_m_e,...]]	 [ppll==_v_a_l_u_e]   [ppww==_v_a_l_u_e]    [oouutt--
       ppuutt==_n_a_m_e] [nnuullll==_s_t_r_i_n_g][nnsstteeppss==_v_a_l_u_e]

DDEESSCCRRIIPPTTIIOONN
       _r_._r_e_p_o_r_t  allows  the  user  to	set up a series of report
       parameters to be applied to a raster map layer,	and  cre-
       ates  a	report.   If invoked with command line arguments,
       the report will print out to  the  screen  only.  However,
       output  may  be	redirected  to	a file or another program
       using the UNIX redirection mechanism. If  invoked  without
       command	line  arguments,  the user is given the option of
       printing out each report and/or saving output to a file.


       The program will be run	non-interactively,  if	the  user
       specifies  the  names of raster map layers and any desired
       options on the  command	line,  using  the  form  rr..rreeppoorrtt
       [--hhmmffqqeezznnNNCCii] mmaapp==_n_a_m_e[,_n_a_m_e,...]  [uunniittss==_n_a_m_e[,_n_a_m_e,...]]
       [ppll==_v_a_l_u_e] [ppww==_v_a_l_u_e] [oouuttppuutt==_n_a_m_e]

       where each map _n_a_m_e is the name of a raster map	layer  on
       which  to  report,  each unit _n_a_m_e is a unit of measure in
       which results are to be reported, the pl _v_a_l_u_e  gives  the
       page  length,  the  pw _v_a_l_u_e gives the page width, and the
       (optional) flags --hh, --ee, --mm, --ff, --qq, --zz, --nn, --NN,  --CC,  and
       --ii have the meanings stated below.

   FFllaaggss::
       --hh     Suppress the print-out of page headers.

       --mm     Report  on  zero	values,  because  a mask is being
	      used.

       --ff     Use formfeeds between pages  when  printing  report
	      output.

       --qq     Run  quietly,  without printing program messages to
	      standard output.

       --ee     Use scientific format for the numbers that are  too
	      long to fit in the tab table field if their decimal
	      form is used.

       --zz     Report only non-zero data values.  Zero  data  will
	      not  be  reported. However, for multiple map layers
	      this means that if zero values occur in  every  map
	      layer, they will not be reported; if non-zero cate-
	      gory values occur in  any  map  layer  (along  with
	      zeros  in  others),  the non-zero values along with
	      the zero values will be reported.

       --nn     Filter out all no data cells.

       --NN     Filter out cells where all maps have no data.

       --CC     Report for cats fp ranges (fp maps only).

       --ii     Read fp map as integer (use map's quant rules).


   PPaarraammeetteerrss::
       mmaapp==_n_a_m_e_,_n_a_m_e_,_._._.
	      Names of raster map(s) on which to report.

       uunniittss==_n_a_m_e
	      Units  of  measure  in  which  results  are  to  be
	      reported.  These	units  are based on the number of
	      cells in the user's _a_r_e_a of interest  (i.e.,  cells
	      within  the  current  geographic region definition,
	      and the current mask [if any]).  These  are  estab-
	      lished  with  the  programs  _r_._m_a_s_k,  respectively.
	      Options: Possible  units	of  measurement  are:  mmii
	      (cover measured in square _m_i_l_e_s) mmee (cover measured
	      in square _m_e_t_e_r_s) kk (cover measured in square _k_i_l_o_-
	      _m_e_t_e_r_s)  aa  (cover measured in _a_c_r_e_s) hh (cover mea-
	      sured in _h_e_c_t_a_r_e_s) cc (the number of  _c_e_l_l_s  in  the
	      area  of	interest) pp (the _p_e_r_c_e_n_t _c_o_v_e_r, excluding
	      no data areas)

       ppll==_v_a_l_u_e
	      Page length, in lines, in which report will be out-
	      put.  Default: 0 (lines)

       ppww==_v_a_l_u_e
	      Page  width, in characters, in which report will be
	      output.  Default: 79 (characters)

       oouuttppuutt==_n_a_m_e
	      The name of a file to store the report in.  If  not
	      specified,  the  report  is printed on the terminal
	      screen.

       nnuullll==_s_t_r_i_n_g
	      String representing no data cell value.

       nnsstteeppss==_v_a_l_u_e
	      Number of fp subranges to collect stats from.



       Alternately, the user can simply type _r_._r_e_p_o_r_t on the com-
       mand  line,  without  program arguments. In this case, the
       user will be prompted for program flag settings and param-
       eter values.


       The  report itself consists of two parts, a header section
       and the main body of the report.


       The header section of the report identifies the raster map
       layer(s)  (by map layer name and TITLE), location, mapset,
       report date, and the  region  of  interest.  The  area  of
       interest  is  described	in  two parts: the user's current
       geographic region is presented, and the mask is	presented
       (if any is used).


       The  main body of the report consists of from one to three
       tables which present the statistics for each category  and
       the totals for each unit column.


       Note  that,  unlike  _r_._s_t_a_t_s,  _r_._r_e_p_o_r_t allows the user to
       select the specific units of measure in	which  statistics
       will be reported.


       Following  is  the  result of a _r_._r_e_p_o_r_t run on the raster
       map layer _g_e_o_l_o_g_y (located in  the  Spearfish,  SD  sample
       data  base),  with the units expressed in square miles and
       acres. Here, _r_._r_e_p_o_r_t output is	directed  into	the  file
       _r_e_p_o_r_t_._f_i_l_e.

EEXXAAMMPPLLEE::
       rr..rreeppoorrtt mmaapp==_g_e_o_l_o_g_y uunniittss==_m_i_l_e_s_,_a_c_r_e_s > _r_e_p_o_r_t_._f_i_l_e


	____________________________________________________________
       |		    RASTER    MAP     CATEGORY	   REPORT
       |
       |   LOCATION:  spearfish 		      Fri  Sep	2
       09:20:09|
       |____________________________________________________________|
       |	     north:	4928000.00     east:	609000.00
       |
       |  REGION:    south:    4914000.00     west:	590000.00
       |
       |	     res:	    100.00     res:	   100.00
       |
       |____________________________________________________________|
       |		      MASK:			     none
       |
       |____________________________________________________________|
       |	MAP:		 geology       in	PERMANENT
       |
       |____________________________________________________________|
       |	 Category Information	  |    Acres	   Square
       |
       |    #	   description		  |		    Miles
       |
       |________|_________________________|_________________________|
       |    0	|  no data		  |	415.13|      0.65
       |
       |    1	|  metamorphic		  |    2597.02|      4.06
       |
       |    2	|  transition		  |	 32.12|      0.05
       |
       |    3	|  igneous		  |    8117.24|     12.68
       |
       |    4	|  sandstone		  |   16691.60|     26.08
       |
       |    5	|  limestone		  |   13681.93|     21.38
       |
       |    6	|  shale		  |   10304.07|     16.10
       |
       |    7	|  sandy shale		  |    2517.95|      3.93
       |
       |    8	|  claysand		  |    3229.60|      5.05
       |
       |    9	|  sand 		  |    8141.95|     12.72
       |
       |__________________________________|___________|_____________|
       |		 TOTAL		  |   65728.60|    102.70
       |
       |__________________________________|___________|_____________|


NNOOTTEESS
       If  the	user  runs  _r_._r_e_p_o_r_t  interactively and saves the
       report output in a file, this file will be placed into the
       user's current working directory.


       If the user runs _r_._r_e_p_o_r_t non-interactively, report output
       can be saved by redirecting it to  a  file  or  a  printer
       using the UNIX redirection mechanism.

SSEEEE AALLSSOO
       _r_._s_t_a_t_s

AAUUTTHHOORR
       Michael	 Shapiro,   U.S.  Army	Construction  Engineering
       Research Laboratory

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_4 _$



GRASS 5.0					      r.report(1)
